#include <cstdio>
using namespace std;

#include "opencv2/highgui/highgui.hpp"
using namespace cv;

const int FPS = 30;
VideoCapture camera;

int main(int argc, char *argv[]) {
	camera.open(0);
	if(!camera.isOpened()){
		printf("Cannot connect to the camera!\n"); 
		getchar();
	}
	else {
		printf("Connection established!\n");
		camera.set(CV_CAP_PROP_FRAME_WIDTH,640);
		camera.set(CV_CAP_PROP_FRAME_HEIGHT,480);
		Mat inputImage;
		char key=0;
		while(key!='k') {
			camera >> inputImage;
			imshow("Camera Image", inputImage);
			key = waitKey(1000/FPS);
		}
	}
	return 0;
}